Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004185 [JEDI VCL] 04 Feature Request minor always 2007-07-23 03:38 2007-12-16 13:24
Reporter Oleg View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.32
Summary 0004185: TJvDBComboBox - response to arrow keys (up and down)
Description It would be desirable to have reaction of TJvDBComboBox to keys VK_UP/VK_DOWN similar to component TJvDBLookupCombo - a choice previous/next element from the list of values.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0013598)
Oleg (reporter)
2007-07-23 03:39

...also response to keys home/end desired.
(0013599)
Oleg (reporter)
2007-07-23 04:09

Also it would be more convenient if at change of value in TJvDBComboBox new value right after its choice was reflected in DataSet (instead of after an exit from TJvDBComboBox control or an obvious call of method DataSet.UpdateRecord) - just as it occurs in TJvDBLookupCombo. (I don't know why the standard VCL control TDBComboBox has no similar behaviour)
(0013924)
obones (administrator)
2007-10-12 07:14

Can you try to provide an implementation for this?
(0014070)
AHUser (developer)
2007-12-16 13:24

DOWN/UP, HOME/END already worked.
Added new property UpdateImmediately: Boolean that allows to set the field value immediately and when the OnExit event is triggered.

- Issue History
Date Modified Username Field Change
2007-07-23 03:38 Oleg New Issue
2007-07-23 03:39 Oleg Note Added: 0013598
2007-07-23 04:09 Oleg Note Added: 0013599
2007-08-16 07:34 Oleg Issue Monitored: Oleg
2007-10-12 07:14 obones Note Added: 0013924
2007-10-12 07:14 obones Status new => acknowledged
2007-12-16 13:24 AHUser Status acknowledged => resolved
2007-12-16 13:24 AHUser Fixed in Version => Daily / SVN
2007-12-16 13:24 AHUser Resolution open => fixed
2007-12-16 13:24 AHUser Assigned To => AHUser
2007-12-16 13:24 AHUser Note Added: 0014070


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker